Simplix Pack to update Live Win7 System/ Integrate hotfixes into Win7 distribution

Discussion in 'Windows 7' started by Enthousiast, May 13, 2013.

  1. jim_p

    jim_p MDL Senior Member

    Dec 11, 2013
    303
    112
    10
    #4081 jim_p, Oct 13, 2021
    Last edited: Oct 13, 2021
    On a fresh installation of w7 that was just updated with simplix 21.9.15, I wanted to install powershell 3+ earlier. Since I could not find an old version for it, I went straight for 7.x (7.1.4).
    In order for that to be installed on w7, windows management framework 5.1 needs to be installed beforehand. And in order for that to be installed, some KB3191566 update was downloaded and installed. Wasn't that supposed to be in the update pack?

    As for my app that could not connect to its server 5 days ago, I updated my system with simplix 21.9.15 and it now works.
     
  2. Enthousiast

    Enthousiast MDL Tester

    Oct 30, 2009
    37,612
    64,560
    450
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. LostED

    LostED SVF Patch Lover

    Jul 30, 2009
    6,535
    17,887
    210
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. shhnedo

    shhnedo MDL Expert

    Mar 20, 2011
    1,036
    1,411
    60
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. jim_p

    jim_p MDL Senior Member

    Dec 11, 2013
    303
    112
    10
    Yes, .net 4.8 was installed with simplix via the relevant .wa file.

    The problem with it is that it delayed my whole workflow. I wanted powershell 3+ to run that ps1 script I have, so I installed a bunch of useless stuff (the kb update and powershell 7), when I could have installed windows management framework ONLY and use its powershell 5.x. A couple of reboots for no reason etc.
     
  6. abbodi1406

    abbodi1406 MDL KB0000001

    Feb 19, 2011
    12,657
    60,422
    340
    @jim_p
    Simplix Pack only include updates offered/available via Windows Update (SP2 KB3125574 is a special one)

    Windows Management Framework is never offered via WU

    P.S.
    KB3191566 is WMF 5.1
    WMF 3 KB2506143 = Powershell 3
    WMF 4 KB2819745 = Powershell 4
     
  7. Enthousiast

    Enthousiast MDL Tester

    Oct 30, 2009
    37,612
    64,560
    450
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  8. ryegrass

    ryegrass MDL Novice

    Oct 9, 2019
    24
    2
    0
    Do you know if KB5004755 the 2021-08 Security and Quality Rollup for .NET Framework 4.8 for Windows 7 will be included in a future update?
    Thanks.
     
  9. Enthousiast

    Enthousiast MDL Tester

    Oct 30, 2009
    37,612
    64,560
    450
    They will be in the WA addons by @abbodi1406 afaik.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  10. shhnedo

    shhnedo MDL Expert

    Mar 20, 2011
    1,036
    1,411
    60
    @ryegrass Simplix does not include updates for .NET 4.x as it's not a native windows 7 component. Only updates for .NET 3.5.
    .NET 4.8 updates are part of abbodi's .wa addons as stated above.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  11. ryegrass

    ryegrass MDL Novice

    Oct 9, 2019
    24
    2
    0
    OK, Thanks.
     
  12. ryegrass

    ryegrass MDL Novice

    Oct 9, 2019
    24
    2
    0
  13. MasterSlenderTR

    MasterSlenderTR MDL Novice

    Feb 6, 2021
    1
    0
    0
    Hello, after fresh installation of Win7 (I chose original win7 iso without updates), I installed simplix with all its addons but I have a issue. I can't install some programs requiring net framework and that's not all, I sometimes receive random visual runtimes error when exploring in Windows 7, can you guys help me please? simplix installed all updates and net framework/visual runtimes so I don't get why this happens, I was able to install other programs requiring net framework so this is unusual.

    Error: h t t p s://imgur.com/a/tsiBcVN